<template>
  <div class="project-search">
    <dataSearch @bindSetQuery="setQuery" @refresh-list="handleRefreshList"></dataSearch>
    <dataList ref="dataList" :queryForm="queryForm"></dataList>
  </div>

</template>

<script>
import {dataSearch,dataList} from "./components"
export default{
  components:{
    dataSearch,
    dataList,
  },
  data(){
    return{
      queryForm:{
        page:1,
        pageSize:10,
        parent_id:0,
        name:'',
        status:'',
      },
    }
  },
  methods:{
    handleRefreshList() {
      this.$refs.dataList.refreshList();
    },
    setQuery(e){
      this.queryForm=e;
    }

  }
}
</script>

<style lang="scss">
@import './search.scss'
</style>
